- Development Integration
- /
- SDK
- /
- Python
- /
Authentication Module
- /
User Related Resources
- /
- Get Group List
¶ Get group list
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get group list
¶ Method name
AuthenticationClient.get_group_list
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|
¶ Request response
Type: GroupListRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | description |
| apiCode | number | subdivided error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | request ID. Returned when the request fails. |
| data | array | response data |
Sample result:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"id": "60b49eb83fd80adb96f26e68",
"code": "developer",
"name": "Developer",
"description": "Description content",
"type": "static",
"members": {
"userId": "6229ffaxxxxxxxxcade3e3d9",
"createdAt": "2022-07-03T03:20:30.000Z",
"updatedAt": "2022-07-03T03:20:30.000Z",
"status": "Activated",
"workStatus": "Active",
"externalId": "10010",
"email": "test@example.com",
"phone": "188xxxx8888",
"phoneCountryCode": "+86",
"username": "bob",
"name": "Zhang San",
"nickname": "xxx",
"photo": "https://files.authing.co/authing-console/default-user-avatar.png",
"loginsCount": 3,
"lastLogin": "2022-07-03T03:20:30.000Z",
"lastIp": "127.0.0.1",
"gender": "M",
"emailVerified": true,
"phoneVerified": true,
"passwordLastSetAt": "2022-07-03T03:20:30.000Z",
"birthdate": "2022-06-03",
"country": "CN",
"province": "BJ",
"city": "BJ",
"address": "Beijing Chaoyang",
"streetAddress": "Beijing Chaoyang District xxx Street",
"postalCode": "438100",
"company": "steamory",
"browser": "Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0",
"device": "iOS",
"givenName": "xx",
"familyName": "xxx",
"middleName": "James",
"profile": "alice",
"preferredUsername": "alice",
"website": "https://my-website.com",
"zoneinfo": "GMT-08:00",
"locale": "af",
"formatted": "132, My Street, Kingston, New York 12401.",
"region": "Xinjiang Uyghur Autonomous Region",
"userSourceType": "register",
"passwordSecurityLevel": 1,
"departmentIds": "[\"624d930c3xxxx5c08dd4986e\",\"624d93102xxxx012f33cd2fe\"]",
"identities": {
"identityId": "62299d8b866d2dab79a89dc4",
"extIdpId": "6076bacxxxxxxxxd80d993b5",
"provider": "wechat",
"type": "openid",
"userIdInIdp": "oj7Nq05R-RRaqak0_YlMLnnIwsvg",
"accessToken": "57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx",
"refreshToken": "57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx",
"originConnIds": "[\"605492ac41xxxxe0362f0707\"]"
},
"identityNumber": "420421xxxxxxxx1234",
"customData": { "school": "Peking University", "age": 22 },
"statusChangedAt": "2022-07-03T03:20:30.000Z"
}
}
}
¶ Data structure
¶ GroupDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| id | string | Yes | Group ID | 60b49eb83fd80adb96f26e68 |
| code | string | Yes | Group code | developer |
| name | string | Yes | Group name | Developer |
| description | string | Yes | Group description | Description content |
| type | string | Yes | Group type | static |
| metadataSource | array | Yes | Group metadata information | |
| members | array | Yes | Member list nested type: UserDto. |
¶ UserDto
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| userId | string | Yes | The unique identifier of the user, which can be user ID, user name, email address, mobile phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id. | 6229ffaxxxxxxxxcade3e3d9 |
| createdAt | string | yes | creation time | 2022-07-03T03:20:30.000Z |
| updatedAt | string | yes | update time | 2022-07-03T03:20:30.000Z |
| status | string | yes | current status of the account: - Activated: normal status - Suspended: deactivated - Deactivated: disabled - Resigned: resigned - Archived: archived | Suspended |
| workStatus | string | yes | current work status of the account | Closed |
| externalId | string | no | third-party external ID | 10010 |
| string | no | email address, case insensitive | test@example.com | |
| phone | string | No | Phone number without area code. If it is a foreign phone number, specify the area code in the phoneCountryCode parameter. | 188xxxx8888 |
| phoneCountryCode | string | No | Mobile phone area code. This field is optional for mobile phone numbers in mainland China. The GenAuth SMS service does not yet support international mobile phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of mobile phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes. | +86 |
| username | string | No | User name, unique in the user pool | bob |
| name | string | No | User's real name, not unique | Zhang San |
| nickname | string | No | Nickname | Zhang San |
| photo | string | No | Avatar link | https://files.authing.co/authing-console/default-user-avatar.png |
| loginsCount | number | No | Total number of historical logins | 3 |
| lastLogin | string | No | Last login time | 2022-07-03T03:20:30.000Z |
| lastIp | string | no | Last login IP | 127.0.0.1 |
| gender | string | yes | Gender: - M: Male- F: Female- U: Unknown | M |
| emailVerified | boolean | yes | Email verified | true |
| phoneVerified | boolean | yes | Phone number verified | true |
| passwordLastSetAt | string | no | User's last password modification time | 2022-07-03T03:20:30.000Z |
| birthdate | string | no | Date of birth | 2022-06-03 |
| country | string | no | Country | CN |
| province | string | no | Province | BJ |
| city | string | no | City | BJ |
| address | string | no | Address | xxx |
| streetAddress | string | no | Street address | xxx |
| postalCode | string | no | Postal code | 438100 |
| company | string | no | Company | steamory |
| browser | string | no | Browser | Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0 |
| device | string | no | Device | iOS |
| givenName | string | no | Given name | xx |
| familyName | string | no | Family name | xxx |
| middleName | string | no | Middle name | James |
| profile | string | no | Preferred Username | alice |
| preferredUsername | string | no | Preferred Username | alice |
| website | string | no | User personal website | https://my-website.com |
| zoneinfo | string | no | User time zone information | GMT-08:00 |
| locale | string | no | Locale | af |
| formatted | string | no | Standard full address | 132, My Street, Kingston, New York 12401. |
| region | string | no | User's region | Xinjiang Uyghur Autonomous Region |
| userSourceType | string | yes | Source type: - excel: Imported through Excel- register: User self-registration- adminCreated: Manual creation by the administrator backend (including creating users using the management API)- syncTask: Synchronization task of the synchronization center | excel |
| userSourceId | string | no | Application ID or synchronization task ID | |
| lastLoginApp | string | no | User's last login application ID | |
| mainDepartmentId | string | no | User's main department ID | |
| lastMfaTime | string | no | User's last MFA authentication time | |
| passwordSecurityLevel | number | no | User password security strength level | 1 |
| resetPasswordOnNextLogin | boolean | no | Next login requires password reset | |
| registerSource | array | no | Registration method | |
| departmentIds | array | no | User's department ID list | ["624d930c3xxxx5c08dd4986e","624d93102xxxx012f33cd2fe"] |
| identities | array | no | External identity source Nested type: IdentityDto. | |
| identityNumber | string | no | User's ID number | 420421xxxxxxxx1234 |
| customData | object | no | User's extended field data | {"school":"xxx","age":22} |
| postIdList | array | no | User's associated department Id | |
| statusChangedAt | string | no | User status last modified time | 2022-07-03T03:20:30.000Z |
| tenantId | string | no | User tenant ID |
¶ IdentityDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| identityId | string | Yes | Identity ID | 62299d8b866d2dab79a89dc4 |
| extIdpId | string | Yes | Identity Connection ID | 6076bacxxxxxxxxd80d993b5 |
| provider | string | yes | External identity source type: - wechat: WeChat- qq: QQ- wechatwork: WeChat Work- dingtalk: DingTalk- weibo: Weibo- github: GitHub- alipay: Alipay- baidu: Baidu- lark: Feishu- welink: Welink- yidun: NetEase Yidun- qingcloud: QingCloud- google: Google- gitlab: GitLab- gitee: Gitee- twitter: Twitter- facebook: Facebook- slack: Slack- linkedin: Linkedin- instagram: Instagram- oidc: OIDC-based enterprise identity source- oauth2: OAuth2-based enterprise identity source- saml: SAML-based enterprise identity source- ldap: LDAP-based enterprise identity source- ad: AD-based enterprise identity source- cas: CAS-based enterprise identity source- azure-ad: Azure AD-based enterprise identity source | oidc |
| type | string | yes | Identity type, such as unionid, openid, primary | openid |
| userIdInIdp | string | yes | ID in the external identity source | oj7Nq05R-RRaqak0_YlMLnnIwsvg |
| userInfoInIdp | object | yes | User's identity information in idp | |
| accessToken | string | no | Access Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management side interface will not return it). | 57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx |
| refreshToken | string | no | Refresh Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management side interface will not return it). | 57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx |
| originConnIds | array | yes | List of identity origin connection IDs that the identity came from | ["605492ac41xxxxe0362f0707"] |
